Skip to content

Modify global multi-factor authentication configuration ​

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Pass in the list of MFA authentication factors to enable,

Method name ​

ManagementClient.update_global_mfa_settings

Request parameters ​

NameTypeIs it requiredDefault valueDescriptionSample value
enabledFactorsstring[]YesList of enabled MFA authentication factors["SMS"]

Request Response ​

Type: MFASettingsRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. This is returned when the request fails.
data<a MFASettingsDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "enabledFactors": "[\"SMS\"]"
  }
}

Data Structure ​

MFASettingsDto ​

NameTypeIs it requiredDescriptionExample value
enabledFactorsarrayyesList of enabled MFA authentication factors["SMS"]